=== include/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# include/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



VPATH = /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/include
pkgdatadir = $(datadir)/fuse
pkglibdir = $(libdir)/fuse
pkgincludedir = $(includedir)/fuse
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = mipsel-unknown-linux-gnu
target_triplet = mipsel-unknown-linux-gnu
subdir = include
DIST_COMMON = $(fuseinclude_HEADERS) $(include_HEADERS) \
	$(noinst_HEADERS) $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(fuseincludedir)" \
	"$(DESTDIR)$(includedir)"
fuseincludeHEADERS_INSTALL = $(INSTALL_HEADER)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(fuseinclude_HEADERS) $(include_HEADERS) $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/missing --run aclocal-1.10
AMTAR = ${SHELL} /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/missing --run tar
AR = mipsel-linux-ar
AUTOCONF = ${SHELL} /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/missing --run autoconf
AUTOHEADER = ${SHELL} /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/missing --run autoheader
AUTOMAKE = ${SHELL} /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/missing --run automake-1.10
AWK = gawk
CC = ccache mipsel-linux-gcc -march=24kf -mtune=24kf -mabi=32
CCDEPMODE = depmode=gcc3
CFLAGS = -isystem/opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/staging/mipsel-linux/usr/include -fexpensive-optimizations -fomit-frame-pointer -frename-registers -Os
CPP = mipsel-linux-gcc -E
CPPFLAGS = -isystem/opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/staging/mipsel-linux/usr/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INIT_D_PATH = /etc/init.d
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = mipsel-linux-ld
LDFLAGS = -L/opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/staging/mipsel-linux/usr/lib -Wl,-rpath-link,/opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/staging/mipsel-linux/usr/lib -Wl,-O1
LIBICONV = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/mipsel-linux-libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MOUNT_FUSE_PATH = /sbin
NM = /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/cross/mipsel/bin/mipsel-linux-nm -B
NMEDIT = 
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = fuse
PACKAGE_BUGREPORT = 
PACKAGE_NAME = fuse
PACKAGE_STRING = fuse 2.7.2
PACKAGE_TARNAME = fuse
PACKAGE_VERSION = 2.7.2
PATH_SEPARATOR = :
RANLIB = mipsel-linux-ranlib
SED = /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/staging/i686-linux/usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = mipsel-linux-strip
UDEV_RULES_PATH = /etc/udev/rules.d
VERSION = 2.7.2
abs_builddir = /mnt/localdata/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/include
abs_srcdir = /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/include
abs_top_builddir = /mnt/localdata/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2
abs_top_srcdir = /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = /usr/bin
build = i686-pc-linux-gnu
build_alias = i686-linux
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = /usr/share
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr
host = mipsel-unknown-linux-gnu
host_alias = mipsel-linux
host_cpu = mipsel
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = $(SHELL) /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/install-sh
libdir = /usr/lib
libexecdir = /usr/libexec
libfuse_libs = -pthread -lrt -ldl  
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = /usr/sbin
sharedstatedir = /usr/com
srcdir = /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2/include
subdirs = 
subdirs2 = include lib util example
sysconfdir = /etc
target = mipsel-unknown-linux-gnu
target_alias = mipsel-linux
target_cpu = mipsel
target_os = linux-gnu
target_vendor = unknown
top_builddir = ..
top_srcdir = /opt/embeddedalley/nxp_tv550/src/devsys/build_tv550_debug_rebuild001/work/mipsel-linux/fuse-2.7.2-r0/fuse-2.7.2
fuseincludedir = $(includedir)/fuse
fuseinclude_HEADERS = \
	fuse.h			\
	fuse_compat.h		\
	fuse_common.h		\
	fuse_common_compat.h    \
	fuse_lowlevel.h		\
	fuse_lowlevel_compat.h	\
	fuse_opt.h

include_HEADERS = old/fuse.h ulockmgr.h
noinst_HEADERS = fuse_kernel.h
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  include/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  include/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status include/config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-fuseincludeHEADERS: $(fuseinclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(fuseincludedir)" || $(MKDIR_P) "$(DESTDIR)$(fuseincludedir)"
	@list='$(fuseinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(fuseincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(fuseincludedir)/$$f'"; \
	  $(fuseincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(fuseincludedir)/$$f"; \
	done

uninstall-fuseincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(fuseinclude_HEADERS)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(fuseincludedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(fuseincludedir)/$$f"; \
	done
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
	  $(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
