=== Kernel/pnxdraw8543/Makefile ===
#APR/11/2005 V0.1 -dok

export TOPAVG := $(shell pwd)
export TOPDIR ?= $(TOPAVG)/../linux-2.6.18_pro500_pnx8xxx_oslinux_R6.0

export CURRENT := $(shell head -1 $(TOPDIR)/include/linux/version.h|( read i j k; echo $$k|sed s/\"//g))

export CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

export AVG_CFLAGS = -I$(TOPAVG)/include -MD -Wall
# -Werror

DESTDIR ?= /home/pub/mawarootfs

SUBS = draw


all:
	for d in $(SUBS); do make -C $$d all || exit 1; done

clean:
	for d in $(SUBS); do make -C $$d clean || exit 1; done

install: all
	install -v -m 0644 draw/pnxdraw.ko $(DESTDIR)/usr/local/demo/


.PHONY: all clean
