=== Source/DirectFB/debian/control ===
Source: directfb
Priority: optional
Maintainer: Andreas Hundt <andi@fischlustig.de>
Build-Depends: debhelper (>> 3.0.0), libflash-dev, libfreetype6-dev,
	libjpeg62-dev, libpng3-dev, zlib1g-dev (>= 1:1.1.3), libmpeg3-dev, autoconf,
	xlibs-dev, libflash-dev
Standards-Version: 3.5.6

Package: libdirectfb-cvs
Section: libs
Architecture: any
Replaces: directfb0, libdirectfb8
Conflicts: directfb0, libdirectfb8
Depends: ${shlibs:Depends}
Description: frame buffer graphics library (for 2.4+ kernels)
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.

Package: libdirectfb-bin
Section: libs
Architecture: any
Conflicts: libdirectfb-0.9-15
Depends: libdirectfb-cvs (= ${Source-Version}), ${shlibs:Depends}
Description: binaries for libdirectfb
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This packages contains the DirectFB background configuration tool
 and the directfbrc man page.

Package: libdirectfb-extra
Section: libs
Architecture: any
Depends: libdirectfb-cvs (= ${Source-Version}), ${shlibs:Depends}
Description: extra image/video providers for libdirectfb
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This packages contains the following image/video providers:
 .
   * MPEG video
   * Flash

Package: libdirectfb-dev
Section: libs
Architecture: any
Replaces: directfb-dev, libdirectfb8
Conflicts: directfb-dev, libdirectfb8
Depends: libdirectfb-cvs (= ${Source-Version}), libc6-dev, libflash-dev, libpng3-dev
Section: devel
Description: frame buffer graphics library, development files
 DirectFB is a graphics library which was designed with embedded systems 
 in mind. It offers maximum hardware accelerated performance at a minimum 
 of resource usage and overhead. 
 .
 This package contains the files needed to compile and link 
 programs which use DirectFB.
