=== Source/DirectFB/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

DEVPACKAGE=$(shell dh_listpackages | grep -- -udeb.*dev$$)
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=$(shell dpkg --print-architecture)
BUILD_DIST=directfb-build


configure: configure-dist

configure-dist: $(BUILD_DIST)/configure-stamp


$(BUILD_DIST)/configure-stamp:
	dh_testdir

	mkdir -p $(BUILD_DIST)

	cd $(BUILD_DIST) && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-avifile

	touch $@

build: build-dist

build-dist: configure-dist $(BUILD_DIST)/build-stamp

$(BUILD_DIST)/build-stamp:
	dh_testdir

	$(MAKE) -C $(BUILD_DIST)

	touch $@

clean:
	dh_testdir
	dh_testroot

	-$(MAKE) distclean
	-rm -f install-test-stamp
	-rm -rf $(BUILD_DIST)

	dh_clean

install: install-dist

install-test: install-test-stamp
install-test-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	touch $@

install-dist: build-dist install-test

	$(MAKE) -C $(BUILD_DIST) install prefix=$(CURDIR)/debian/tmp/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_movefiles -plibdirectfb-extra
	dh_movefiles
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip 
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -Xdfbg
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
